Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class XRIParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.openxri.XRIParseException

All Implemented Interfaces:
  java.io.Serializable

    public class XRIParseException

extends java.lang.RuntimeException

This class is used to indicate a parsing failure of an XRI syntax element.

Author:
  =chetan
See Also:
  Serialized Form

Constructor Summary
`XRIParseException()` Constructs a XRIParseException with a default message
`XRIParseException(java.lang.String sMsg)` Constructs a XRIParseException with the provided message
`XRIParseException(java.lang.String sMsg, java.lang.Exception oEx)` Constructs a XRIParseException with the provided message and based off of the provided Exception

Method Summary
`void` | `dump()` Prints the stack trace for the exception and the exception it is based upon to standard out.
`java.lang.String` | `toString()` Provides String representation of the exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRIParseException

    public XRIParseException()

  Constructs a XRIParseException with a default message

### XRIParseException

    public XRIParseException(java.lang.String sMsg)

  Constructs a XRIParseException with the provided message

### XRIParseException

    public XRIParseException(java.lang.String sMsg,
                             java.lang.Exception oEx)

  Constructs a XRIParseException with the provided message and based off of the provided Exception

Method Detail

### dump

    public void dump()

  Prints the stack trace for the exception and the exception it is based upon to standard out.

### toString

    public java.lang.String toString()

  Provides String representation of the exception

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.